# Uses of Class
org.eclipse.ecf.core.identity.IDCreateException

Packages that use IDCreateException
Package
Description
org.eclipse.ecf.core.identity
org.eclipse.ecf.osgi.services.remoteserviceadmin
org.eclipse.ecf.provider.dnssd
org.eclipse.ecf.provider.filetransfer.identity
org.eclipse.ecf.provider.generic
org.eclipse.ecf.provider.jslp.container
org.eclipse.ecf.provider.r_osgi.identity
org.eclipse.ecf.provider.remoteservice.generic
org.eclipse.ecf.remoteservice
org.eclipse.ecf.remoteservice.rest.identity
org.eclipse.ecf.remoteservice.util

## Uses of IDCreateException in org.eclipse.ecf.core.identity

Methods in org.eclipse.ecf.core.identity that throw IDCreateException
Modifier and Type
Method
Description
`ID`
IDFactory.`createGUID()`
`ID`
IDFactory.`createGUID(int length)`
`ID`
IIDFactory.`createGUID()`
Make a GUID using SHA-1 hash algorithm and a default of 16bits of data length.
`ID`
IIDFactory.`createGUID(int length)`
Make a GUID using SHA-1 hash algorithm and a default of 16bits of data length.
`ID`
IDFactory.`createID(String namespaceName, Object[] args)`
`ID`
IDFactory.`createID(String namespace, String uri)`
`ID`
IDFactory.`createID(Namespace n, Object[] args)`
`ID`
IDFactory.`createID(Namespace namespace, String uri)`
`ID`
IIDFactory.`createID(String namespaceName, Object[] args)`
Make a new identity.
`ID`
IIDFactory.`createID(String namespaceName, String idValue)`
Make a new identity instance from a namespaceName and idValue.
`ID`
IIDFactory.`createID(Namespace n, Object[] args)`
Make a new identity.
`ID`
IIDFactory.`createID(Namespace namespace, String uri)`
Make a new identity instance from a namespace and String.
`ID`
GUID.GUIDNamespace.`createInstance(Object[] args)`
`ID`
LongID.LongNamespace.`createInstance(Object[] args)`
`abstract ID`
Namespace.`createInstance(Object[] parameters)`
Make an instance of this namespace.
`ID`
StringID.StringIDNamespace.`createInstance(Object[] parameters)`
`ID`
URIID.URIIDNamespace.`createInstance(Object[] parameters)`
`ID`
UuID.UuIDNamespace.`createInstance(Object[] parameters)`
`ID`
IDFactory.`createLongID(long l)`
`ID`
IIDFactory.`createLongID(long l)`
Make a an ID from a long
`ID`
URIID.URIIDNamespace.`createRandomUUID()`
`ID`
IDFactory.`createStringID(String idstring)`
`ID`
IIDFactory.`createStringID(String idString)`
Make a an ID from a String
`ID`
IDFactory.`createURIID(String uri)`
`ID`
IDFactory.`createURIID(URI uri)`
`ID`
IIDFactory.`createURIID(String uri)`
Create a URIID from String.
`ID`
IIDFactory.`createURIID(URI uri)`
Create a URIID from URI.
`ID`
IDFactory.`createUuID()`
`ID`
IDFactory.`createUuID(String uuid)`
`ID`
IDFactory.`createUuID(URI uuidURI)`
`ID`
IDFactory.`createUuID(UUID uuid)`
`ID`
IIDFactory.`createUuID()`
Create a random UuID
`ID`
IIDFactory.`createUuID(String uuid)`
Create a UuID from String
`ID`
IIDFactory.`createUuID(URI uuidURI)`
Create a UuID from URI.
`ID`
IIDFactory.`createUuID(UUID uuid)`
Create a UuID from UUID
`protected static void`
IDFactory.`logAndThrow(String s, Throwable t)`
Constructors in org.eclipse.ecf.core.identity that throw IDCreateException
Modifier
Constructor
Description
`protected`
`GUID(Namespace n)`
`protected`
`GUID(Namespace n, int byteLength)`
`protected`
`GUID(Namespace n, String algo, String provider, int byteLength)`
Protected constructor for factory-based construction

## Uses of IDCreateException in org.eclipse.ecf.osgi.services.remoteserviceadmin

Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin that throw IDCreateException
Modifier and Type
Method
Description
`protected void`
AbstractHostContainerSelector.`connectHostContainer(ServiceReference serviceReference, Map<String,Object> properties, IContainer container, Object target)`

## Uses of IDCreateException in org.eclipse.ecf.provider.dnssd

Methods in org.eclipse.ecf.provider.dnssd that throw IDCreateException
Modifier and Type
Method
Description
`ID`
DnsSdNamespace.`createInstance(Object[] parameters)`
Constructors in org.eclipse.ecf.provider.dnssd that throw IDCreateException
Modifier
Constructor
Description
``
`DnsSdServiceTypeID(Namespace namespace, String aType)`

## Uses of IDCreateException in org.eclipse.ecf.provider.filetransfer.identity

Methods in org.eclipse.ecf.provider.filetransfer.identity that throw IDCreateException
Modifier and Type
Method
Description
`ID`
FileTransferNamespace.`createInstance(Object[] args)`

## Uses of IDCreateException in org.eclipse.ecf.provider.generic

Methods in org.eclipse.ecf.provider.generic that throw IDCreateException
Modifier and Type
Method
Description
`protected ID`
SOManager.`createNewSharedObjectID(SharedObjectDescription sd, ISharedObject newObject)`
`protected GenericContainerInstantiator.GenericContainerArgs`
GenericContainerInstantiator.`getClientArgs(Object[] args)`
`protected SSLGenericContainerInstantiator.GenericContainerArgs`
SSLGenericContainerInstantiator.`getClientArgs(Object[] args)`
`protected ID`
GenericContainerInstantiator.`getIDFromArg(Object arg)`
`protected ID`
SSLGenericContainerInstantiator.`getIDFromArg(Object arg)`
`protected GenericContainerInstantiator.GenericContainerArgs`
GenericContainerInstantiator.`getServerArgs(Object[] args)`
`protected SSLGenericContainerInstantiator.GenericContainerArgs`
SSLGenericContainerInstantiator.`getServerArgs(Object[] args)`

## Uses of IDCreateException in org.eclipse.ecf.provider.jslp.container

Constructors in org.eclipse.ecf.provider.jslp.container that throw IDCreateException
Modifier
Constructor
Description
``
`JSLPServiceInfo(IServiceInfo aSI)`

## Uses of IDCreateException in org.eclipse.ecf.provider.r_osgi.identity

Methods in org.eclipse.ecf.provider.r_osgi.identity that throw IDCreateException
Modifier and Type
Method
Description
`ID`
R_OSGiNamespace.`createInstance(Object[] parameters)`
create a new ID within this namespace.
`ID`
R_OSGiRemoteServiceNamespace.`createInstance(Object[] parameters)`
`ID`
R_OSGiWSNamespace.`createInstance(Object[] parameters)`
create a new ID within this namespace.
`ID`
R_OSGiWSSNamespace.`createInstance(Object[] parameters)`
create a new ID within this namespace.

## Uses of IDCreateException in org.eclipse.ecf.provider.remoteservice.generic

Methods in org.eclipse.ecf.provider.remoteservice.generic that throw IDCreateException
Modifier and Type
Method
Description
`ID`
RemoteServiceNamespace.`createInstance(Object[] parameters)`

## Uses of IDCreateException in org.eclipse.ecf.remoteservice

Methods in org.eclipse.ecf.remoteservice that throw IDCreateException
Modifier and Type
Method
Description
`ID`
RemoteServiceNamespace.`createInstance(Object[] parameters)`

## Uses of IDCreateException in org.eclipse.ecf.remoteservice.rest.identity

Methods in org.eclipse.ecf.remoteservice.rest.identity that throw IDCreateException
Modifier and Type
Method
Description
`ID`
RestNamespace.`createInstance(Object[] parameters)`
Creates an instance of an `RestID`.

## Uses of IDCreateException in org.eclipse.ecf.remoteservice.util

Methods in org.eclipse.ecf.remoteservice.util that throw IDCreateException
Modifier and Type
Method
Description
`static ID`
IDUtil.`createID(String namespaceName, String idName)`
`static ID`
IDUtil.`createID(Namespace namespace, Object[] args)`
`static ID`
IDUtil.`createID(Namespace namespace, String idName)`